var tooltip = document.createElement("DIV");
var tooltiptext = document.createTextNode("WCG -- HTML5 noscript Tag Example");
var textspan = document.createElement("SPAN");
var spantext = document.createTextNode("This is a tooltip!");


tooltip.style.position = "relative";
tooltip.style.display = "inline-block";
tooltip.style.borderBottom = "1px dotted black";

textspan.style.width = "120px";
textspan.style.top = "100%";
textspan.style.left = "0";
textspan.style.visibility = "hidden";
textspan.style.backgroundColor = "black";
textspan.style.color = "whitesmoke";
textspan.style.textAlign = "center";
textspan.style.padding = "5px 0";
textspan.style.borderRadius = "6px";
textspan.style.position = "absolute";
textspan.style.zIndex =  "1";


textspan.appendChild(spantext);
tooltip.appendChild(tooltiptext);
tooltip.appendChild(textspan);
document.body.appendChild(tooltip);


tooltip.addEventListener("mouseenter", function(){
    textspan.style.visibility = "visible";
});
tooltip.addEventListener("mouseleave", function(){
    textspan.style.visibility = "hidden";
});
